#include "MIDIUSB.h"
int x = 0;
  
void noteOn(byte channel, byte pitch, byte velocity) {
  midiEventPacket_t noteOn = {0x09, 0x90 | channel, pitch, velocity};
  MidiUSB.sendMIDI(noteOn);
}

void noteOff(byte channel, byte pitch, byte velocity) {
  midiEventPacket_t noteOff = {0x08, 0x80 | channel, pitch, velocity};
  MidiUSB.sendMIDI(noteOff);
}

void setup() {
  Serial.begin(115200);
}

void loop() {
  x = (++x)%36 + 36;
  noteOn(0, x, 64);
  MidiUSB.flush();
  delay(250);
  noteOff(0, x, 64);
  MidiUSB.flush();
  delay(750);
}
